
//
// To jest przykładowy kod z podrozdziału 13.4 „Klasa Color” książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "Simple_window.h"  // Dołącza naszą bibliotekę okien.
#include "Graph.h"          // Dołącza narzędzia graficzne.

//------------------------------------------------------------------------------

int main()
try
{
    using namespace Graph_lib;    // Nasze narzędzia graficzne znajdują się w bibliotece Graph_lib

    Simple_window win3(Point(100,100),600,400,"Siatka");    

    int x_size = win3.x_max();    // Sprawdza rozmiar okna.
    int y_size = win3.y_max();
    int x_grid = 80;
    int y_grid = 40; 

    Lines grid;
    for (int x=x_grid; x<x_size; x+=x_grid)
        grid.add(Point(x,0),Point(x,y_size));    // Linia pionowa.
    for (int y = y_grid; y<y_size; y+=y_grid)
        grid.add(Point(0,y),Point(x_size,y));    // Linia pozioma.

    grid.set_color(Color::red);
    win3.attach(grid);                           // Wiąże linie z oknem.
    win3.wait_for_button();                      // Wyświetl!
}
catch(exception& e) {
    // Raport o błędzie.
    return 1;
}
catch(...) {
    // Raport o błędzie.
    return 2;
}

//------------------------------------------------------------------------------
